import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckScore = (params) => request('/api/taCheckScore', { params });

/*
 * 新增数据
 */
export const postTaCheckScore = (data) => request('/api/taCheckScore', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckScoreById = (id) => request(`/api/taCheckScore/${id}`);

/*
 * 更新数据
 */
export const putTaCheckScore = (id, data) => request(`/api/taCheckScore/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckScore = (id) => request(`/api/taCheckScore/${id}`, { method: 'delete' });
